Welcome!

Welcome to the official BlackBerry Support Community Forums.

This is your resource to discuss support topics with your peers, and learn from each other.

inside custom component

Java Development

Reply
Contributor
rajeevcbhatia
Posts: 29
Registered: ‎08-30-2010
My Device: Not Specified

BBM 6 help please!!!

I have made an application that uses BBM 6 features and uploaded it to the app world.

However because I have used the BBM 6 classes,this application will only run on devices that have BBM 6.

On all other devices I am getting the error "Module net_rim_bb_qm_platform" not found.

Now the problem is that BBM 6 has not even been released yet.

I tried to solve this problem by wrapping all BBM features(including register) around this code

public boolean hasBBM6()
    {
        int moduleHandle = CodeModuleManager.getModuleHandle("net_rim_bb_qm_platform");        
        return (moduleHandle != 0);
    }



However the problem still persists.

I think the problem is because of the import statements.

can someone please help me with this?

My app is live on the App World and it is basically useless

 

PLEASE HELP!!!

Please use plain text.
Developer
johnbibs
Posts: 905
Registered: ‎02-07-2009
My Device: BlackBerry Torch 9800
My Carrier: Globe Telecom

Re: BBM 6 help please!!!

hi rajeevcbhatia,

i guess you have to take that out from your code. :smileyhappy: or i'm not sure if preprocessing can help you.

cheers! :smileyhappy:
Please use plain text.
Contributor
rajeevcbhatia
Posts: 29
Registered: ‎08-30-2010
My Device: Not Specified

Re: BBM 6 help please!!!

hey

thanks for your help

the problem is that i need my app to have those BBM features so removing the code would not help :smileysad:

also preprocessor directives would only change the code at compile time.....i need something that changes the imports depending on the presence of BBM 6 in those devices

Please use plain text.
Developer
peter_strange
Posts: 19,595
Registered: ‎07-14-2008
My Device: Not Specified

Re: BBM 6 help please!!!

Not posible AFAIK.  I think you will to produce a BBM6 and non BBM 6 version. 

Please use plain text.
Contributor
rajeevcbhatia
Posts: 29
Registered: ‎08-30-2010
My Device: Not Specified

Re: BBM 6 help please!!!

yeah thats what i have done right now....i hope blackberry comes up with a solution for this

thanks for the help peter :smileyhappy:

Please use plain text.
Contributor
marKram
Posts: 33
Registered: ‎02-13-2010
My Device: 9800
My Carrier: Rogers

Re: BBM 6 help please!!!

There is an option using an additional library within your app. That way your app can work with both BBM6 and non-BBM6. Check the new BBM 6 SDK (link) and look at the dependency checker download.

Please use plain text.
Developer
Ebscer
Posts: 840
Registered: ‎08-31-2009
My Device: 9530, 9630, 9800, 8530, 9900, 9810, 9930, PlayBook, Dev Alpha
My Carrier: Verizon

Re: BBM 6 help please!!!

Is there a way to implement something like the dependency checker that doesn't suck?


Read my thoughts on BlackBerry Development at news.ebscer.com
Please use plain text.